"""Package containing models."""

# vim: set tw=80 ts=4 sw=4 sts=4:

from flask_sqlalchemy import SQLAlchemy

# pylint: disable=invalid-name
db = SQLAlchemy()


def row_as_dict(row):
    """Return a SQLAlchemy row as dict."""
    return dict(zip(row.keys(), row))


def result_as_dicts(query):
    """Return SQLAlchemy query results as dictionnaries."""
    for row in query.all():
        yield row_as_dict(row)
